/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;

@XmlAccessorType(XmlAccessType.FIELD)
public class PolygonReport {

	@XmlAttribute(name = "gml_id", required = false)
	private String gmlId;

	@XmlElement(name = "exterior_ring", required = false)
	private RingReport exteriorRing;

	@XmlElementWrapper(name = "interior_rings", required = false)
	@XmlElement(name = "ring")
	private List<RingReport> interiorRing;

	public void setGmlId(String gmlId) {
		this.gmlId = gmlId;
	}

	public void setExteriorRing(RingReport exteriorRing) {
		this.exteriorRing = exteriorRing;
	}

	public void setInteriorRing(List<RingReport> interiorRing) {
		this.interiorRing = interiorRing;
	}

	public RingReport getExteriorRing() {
		return exteriorRing;
	}

	public String getGmlId() {
		return gmlId;
	}

	public List<RingReport> getInteriorRing() {
		if (interiorRing == null) {
			interiorRing = new ArrayList<>();
		}
		return interiorRing;
	}

}
